Customers
For authentication instructions, see API overview.
Endpoints
get
List all customers
Returns a list of customers. The customers are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customersResponse
No response schemapost
Create customer
Create customer. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
isCompanybooleancapitalintegermanagerstringnamestringname_arstringaddress_arstringstreet1stringstreet2stringzipCodestringcitystringcontactsarraysiretstringrcsstringunNumberintegerstatusstringsubjectstringcategorystring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customers \ -d 'isCompany="boolean"' \ -d 'capital=2000000' \ -d 'manager="string"' \ -d 'name="string"' \ -d 'name_ar="string"' \ -d 'address_ar="string"' \ -d 'street1="string"' \ -d 'street2="string"' \ -d 'zipCode="string"' \ -d 'city="string"' \ -d 'contacts="array"' \ -d 'siret="string"' \ -d 'rcs="string"' \ -d 'unNumber="integer"' \ -d 'status="string"' \ -d 'subject="string"' \ -d 'category="string"'Response
No response schemaget
Retrieve customer
Returns a single custome, which you can request by passing through an id in the url.
Path parameters
idstringID of the customer
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customers/:idResponse
No response schemaput
Update customer
Path parameters
idstringID of the customer
Request body
isCompanybooleancapitalintegermanagerstringnamestringname_arstringaddress_arstringstreet1stringstreet2stringzipCodestringcitystringcontactsarraysiretstringrcsstringunNumberintegerstatusstringsubjectstringcategorystring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customers/:id \ -d 'isCompany="boolean"' \ -d 'capital=2000000' \ -d 'manager="string"' \ -d 'name="string"' \ -d 'name_ar="string"' \ -d 'address_ar="string"' \ -d 'street1="string"' \ -d 'street2="string"' \ -d 'zipCode="string"' \ -d 'city="string"' \ -d 'contacts="array"' \ -d 'siret="string"' \ -d 'rcs="string"' \ -d 'unNumber="integer"' \ -d 'status="string"' \ -d 'subject="string"' \ -d 'category="string"'Response
No response schemapatch
Update customer soft
Update customer soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the customer
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customers/:idResponse
No response schemadelete
Delete customer
Path parameters
idstringID of the customer
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/customers/:id